NX Open C++ Reference Guide
|
Represents the View 2D Orientation (Drawings.View2dOrientBuilder) More...
Public Types | |
enum | CustomMethod { CustomMethodAngles, CustomMethodVector } |
The custom orientation method. More... | |
enum | Type { TypeNone, TypeTop, TypeFront, TypeRight, TypeBack, TypeBottom, TypeLeft, TypeIso, TypeTri, TypeCustom } |
The view orientation type. More... | |
Public Member Functions | |
NXOpen::Drawings::View2dOrientBuilder::CustomMethod | CustomOrientationMethod () |
Returns the custom orientation method Created in NX6.0.0. | |
double | CustomXAngle () |
Returns the orientation angle around the X axis Created in NX6.0.0. | |
double | CustomYAngle () |
Returns the orientation angle around the Y axis Created in NX6.0.0. | |
double | CustomZAngle () |
Returns the orientation angle around the Z axis Created in NX6.0.0. | |
double | GetCustomNormalX () |
Returns the X component of the custom view-normal vector. | |
double | GetCustomNormalY () |
Returns the Y component of the custom view-normal vector. | |
double | GetCustomNormalZ () |
Returns the Z component of the custom view-normal vector. | |
double | GetCustomPrimaryX () |
Returns the X component of the custom view-primary vector. | |
double | GetCustomPrimaryY () |
Returns the Y component of the custom view-primary vector. | |
double | GetCustomPrimaryZ () |
Returns the Z component of the custom view-primary vector. | |
bool | GetInferredPrimary () |
Returns the option to infer the direction view X vector in 3D space. | |
NXOpen::Drawings::View2dOrientBuilder::Type | OrientationType () |
Returns the orientation type Created in NX6.0.0. | |
void | SetCustomNormalX (double component) |
Sets the X component of the custom view-normal vector Created in NX6.0.0. | |
void | SetCustomNormalY (double component) |
Sets the Y component of the custom view-normal vector Created in NX6.0.0. | |
void | SetCustomNormalZ (double component) |
Sets the Z component of the custom view-normal vector Created in NX6.0.0. | |
void | SetCustomOrientationMethod (NXOpen::Drawings::View2dOrientBuilder::CustomMethod methd) |
Sets the custom orientation method Created in NX6.0.0. | |
void | SetCustomPrimaryX (double component) |
Sets the X component of the custom view-primary vector Created in NX6.0.0. | |
void | SetCustomPrimaryY (double component) |
Sets the Y component of the custom view-primary vector Created in NX6.0.0. | |
void | SetCustomPrimaryZ (double component) |
Sets the Z component of the custom view-primary vector Created in NX6.0.0. | |
void | SetCustomXAngle (double angle) |
Sets the orientation angle around the X axis Created in NX6.0.0. | |
void | SetCustomYAngle (double angle) |
Sets the orientation angle around the Y axis Created in NX6.0.0. | |
void | SetCustomZAngle (double angle) |
Sets the orientation angle around the Z axis Created in NX6.0.0. | |
void | SetInferredPrimary (bool inferred) |
Sets the option to infer the direction view X vector in 3D space Created in NX6.0.0. | |
void | SetOrientationType (NXOpen::Drawings::View2dOrientBuilder::Type type) |
Sets the orientation type Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the View 2D Orientation (Drawings.View2dOrientBuilder)
Created in NX6.0.0.
NXOpen::Drawings::View2dOrientBuilder::CustomMethod NXOpen::Drawings::View2dOrientBuilder::CustomOrientationMethod | ( | ) |
Returns the custom orientation method
Created in NX6.0.0.
License requirements : None
double NXOpen::Drawings::View2dOrientBuilder::CustomXAngle | ( | ) |
Returns the orientation angle around the X axis
Created in NX6.0.0.
License requirements : None
double NXOpen::Drawings::View2dOrientBuilder::CustomYAngle | ( | ) |
Returns the orientation angle around the Y axis
Created in NX6.0.0.
License requirements : None
double NXOpen::Drawings::View2dOrientBuilder::CustomZAngle | ( | ) |
Returns the orientation angle around the Z axis
Created in NX6.0.0.
License requirements : None
double NXOpen::Drawings::View2dOrientBuilder::GetCustomNormalX | ( | ) |
Returns the X component of the custom view-normal vector.
double NXOpen::Drawings::View2dOrientBuilder::GetCustomNormalY | ( | ) |
Returns the Y component of the custom view-normal vector.
double NXOpen::Drawings::View2dOrientBuilder::GetCustomNormalZ | ( | ) |
Returns the Z component of the custom view-normal vector.
double NXOpen::Drawings::View2dOrientBuilder::GetCustomPrimaryX | ( | ) |
Returns the X component of the custom view-primary vector.
double NXOpen::Drawings::View2dOrientBuilder::GetCustomPrimaryY | ( | ) |
Returns the Y component of the custom view-primary vector.
double NXOpen::Drawings::View2dOrientBuilder::GetCustomPrimaryZ | ( | ) |
Returns the Z component of the custom view-primary vector.
bool NXOpen::Drawings::View2dOrientBuilder::GetInferredPrimary | ( | ) |
Returns the option to infer the direction view X vector in 3D space.
NXOpen::Drawings::View2dOrientBuilder::Type NXOpen::Drawings::View2dOrientBuilder::OrientationType | ( | ) |
Returns the orientation type
Created in NX6.0.0.
License requirements : None
void NXOpen::Drawings::View2dOrientBuilder::SetCustomNormalX | ( | double | component | ) |
Sets the X component of the custom view-normal vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the X component of view normal in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomNormalY | ( | double | component | ) |
Sets the Y component of the custom view-normal vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the Y component of view normal in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomNormalZ | ( | double | component | ) |
Sets the Z component of the custom view-normal vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the Z component of view normal in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomOrientationMethod | ( | NXOpen::Drawings::View2dOrientBuilder::CustomMethod | methd | ) |
Sets the custom orientation method
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
methd | sets the custom orientation method. |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomPrimaryX | ( | double | component | ) |
Sets the X component of the custom view-primary vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the X component of view primary vector in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomPrimaryY | ( | double | component | ) |
Sets the Y component of the custom view-primary vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the Y component of view primary vector in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomPrimaryZ | ( | double | component | ) |
Sets the Z component of the custom view-primary vector
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
component | sets the the Z component of view primary vector in global CS |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomXAngle | ( | double | angle | ) |
Sets the orientation angle around the X axis
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
angle | sets the angle around X axis |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomYAngle | ( | double | angle | ) |
Sets the orientation angle around the Y axis
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
angle | sets the angle around Y axis |
void NXOpen::Drawings::View2dOrientBuilder::SetCustomZAngle | ( | double | angle | ) |
Sets the orientation angle around the Z axis
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
angle | sets the angle around Z axis |
void NXOpen::Drawings::View2dOrientBuilder::SetInferredPrimary | ( | bool | inferred | ) |
Sets the option to infer the direction view X vector in 3D space
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
inferred | sets the inferred option |
void NXOpen::Drawings::View2dOrientBuilder::SetOrientationType | ( | NXOpen::Drawings::View2dOrientBuilder::Type | type | ) |
Sets the orientation type
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
type | sets the orientation type. |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.